Loading...
Searching...
No Matches
boundarydofs.hh File Reference
`#include <utility>`
`#include <dune/functions/functionspacebases/subentitydofs.hh>`

Go to the source code of this file.

## Namespaces

namespace | Dune
namespace | Dune::Functions

## Functions

template<class Basis, class F, decltype(std::declval< std::decay_t< F > >()(0, std::declval< typename Basis::LocalView >(), std::declval< typename Basis::GridView::Intersection >()), 0) = 0>
void | Dune::Functions::forEachBoundaryDOF (const Basis &basis, F &&f)
| Loop over all DOFs on the boundary.
template<class Basis, class F, decltype(std::declval< std::decay_t< F > >()(0, std::declval< typename Basis::LocalView >()), 0) = 0>
void | Dune::Functions::forEachBoundaryDOF (const Basis &basis, F &&f)
| Loop over all DOFs on the boundary.
template<class Basis, class F, decltype(std::declval< std::decay_t< F > >()(std::declval< typename Basis::MultiIndex >()), 0) = 0>
void | Dune::Functions::forEachBoundaryDOF (const Basis &basis, F &&f)
| Loop over all DOFs on the boundary.